Aptana Studio에서 ruby on rails 프로젝트를 하려는데 자꾸 에러가 발생합니다 ㅠㅠ

Aptana studio도 간신히 설치하고 ruby 플러그인을 다운 받아습니다.
근데 gem auto installing인가 업데이트하라구 창이 뜨더라구요
거기 rails도 있고 여러가지 있길레 전부 인스톨을 클릭했는데,
아래 같은 에러들이 발생했습니다.

>gem install -l rake-0.8.1.gem
/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l activerecord-jdbc-adapter-0.7.2.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l jruby-openssl-0.1.1.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l activesupport-2.0.2.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l gem_plugin-0.2.3.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l cgi_multipart_eof_fix-2.5.0.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l activeresource-2.0.2.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l mongrel-1.1.2-jruby.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l actionpack-2.0.2.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l actionmailer-2.0.2.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l activerecord-2.0.2.gem
>/usr/local/aptana/plugins/org.jruby_1.1.0.5965_RC2p2/bin/jruby: line 168: exec: java: not found
gem install -l rails-2.0.2.gem

그래서 해당 파일에 168번째 줄을 봤지만 틀린건 모르겠고
exec "$JAVA_CMD" $JAVA_OPTS -classpath "$CP" \ <—168행줄

혹시 Aptana에서 이문제를 해결하신분 있나요??? ㅠㅠ

JAVA_CMD 변수에 지정된 된 Java 인터프리터의 위치가 현재 시스템과 일치하지 않은 모양인데요?

Aptana studio에서 하셨다니, 그 프로그램에서 지정되는 Java 인터프리터의 위치를 현재 시스템의 Java 인터프리터의 위치와 일치시키는 무언가의 옵션(?) 등을 찾거나, 아니면 직접 그 변수의 값을 조정하든지 해야 될 것 같네요.

제가 Aptana studio는 안써봐서 그 쪽으로는 정확한 답변을 드리기가 어렵네요.

아, 물론 JavaSDK 또는 JavaRE는 설치하셨겠죠? 혹시나 해서. ^^;;;

제 JAVA_HOME이 /usr/local/jdk1.6.0_10 이구요,
CLASS_PATH는 .:/usr/local/jdk1.6.0_10/jre/lib 이헐게 되있거든요…

제가 보기엔 PATH 문제는 없는거 같은데;;;

[quote="eneff":18loi1o5]제 JAVA_HOME이 /usr/local/jdk1.6.0_10 이구요,
CLASS_PATH는 .:/usr/local/jdk1.6.0_10/jre/lib 이헐게 되있거든요…

제가 보기엔 PATH 문제는 없는거 같은데;;;[/quote:18loi1o5]
당 파일에서 JAVA_CMD 변수에 위 경로가 제대로 지정되어 있는지 확인 한 번 해보시길…

크게 도움 되는 말은 아니지만…
짧은 경험으로
다른 모듈등을 설치하려고 할때는…
only Aptana studio 에서 설치해운영 하는것보다
eclispe + aptana studio module + other modules 해서 설치해 운영하는게…
좀더 안정적인 듯했습니다… 가벼운거로는 aptana 만 쓰는게 가볐지만…
또 설치도 eclipse 에다 aptana 모듈을 설치하는것이 방법적으로 쉬었습니다…

또 eclipse 버전은 3.4 버전 일때 보다 안정적이있습니다… …